require "states/gameplay/levelloader.lua"

gameplay=Gamestate.new()

function gameplay:init()	
	--mouse movement detection - put in gameplay:init() because otherwise a bunch of timers start running and screwing everything up
	mousey=love.mouse.getY()
	mousey_previous=mousey
	Timer.addPeriodic(1/30, function()
		mousey_previous=mousey
		mousey=love.mouse.getY()
	end)
end

function gameplay:enter()
	loadlevel("test.tilt")
	
	--other variables
	platform_active=0
end

function collision_add(shape1,shape2,collision)
	for a=1,numobjects do
		if (shape1=="ball" and shape2=="platform"..a) or (shape2=="ball" and shape1=="platform"..a) then
			platform_active=a
		end
	end
end

function gameplay:update(dt)
	--rotate platforms
	for a=1,numobjects do
		if object[a]=="platform" then
			if platform_active==a and love.mouse.isDown("l") then
				if (mousey-mousey_previous)/10>5 then --limit platform rotation speed
					platform[a].body:setAngularVelocity(5)
				elseif (mousey-mousey_previous)/10<-5 then
					platform[a].body:setAngularVelocity(-5)
				else
					platform[a].body:setAngularVelocity((mousey-mousey_previous)/10)
				end
			else
				platform[a].body:setAngularVelocity(0)
			end
		end
	end

	--check if ball goes off screen
	if ball.body:isFrozen() then Gamestate.switch(gameplay) end

	world:update(dt)

	message=(mousey-mousey_previous)/10
end

function gameplay:draw()
--drawing function note: I could have made xpos and ypos local and gotten the coordinates of the objects using body:getX and body:getY, but that would require more typing
	for a=1,numobjects do
		if object[a]=="wall" then
			love.graphics.setColor(255,255,255,255)
			love.graphics.rectangle("fill",xpos[a]-15,ypos[a]-15,30,30)
		elseif object[a]=="ball" then
			love.graphics.setColor(255,255,255,255)
			love.graphics.circle("fill",ball.body:getX(),ball.body:getY(),15,15)
		elseif object[a]=="platform" then
			for b=1,#platform[a].shape do
				if platform_active==a then	
					love.graphics.setColor(255,0,0,255)
				else
					love.graphics.setColor(255,255,255,255)
				end
				love.graphics.polygon("fill",platform[a].shape[b]:getPoints())
			end
		elseif object[a]=="spring" then
			love.graphics.setColor(0,0,255,255)
			love.graphics.rectangle("fill",xpos[a]-15,ypos[a]-15,30,30)
		end
	end

	if message then
		love.graphics.setColor(255,255,255,255)
		love.graphics.print(message,0,0)
	end
end
