function loadlevel(path)
	--we need these tables to create the objects later
	xpos={}
	ypos={}
	object={}
	platform_table={} --used so we don't overwrite object[a]
	--open the file
	local file=love.filesystem.newFile(path)
	file:open("r")
	a=0
	--find x, y, and type for each object
	for line in file:lines() do
		a=a+1
		xpos[a]=line:sub(1,line:find(",")-1)
		line=line:sub(line:find(",")+1,line:len()) --delete just-read parameter
		ypos[a]=line:sub(1,line:find(",")-1)
		line=line:sub(line:find(",")+1,line:len())
		object[a]=line:sub(1,line:find(",")-1)
		
		--platform-specific parameters
		if object[a]=="platform" then
			line=line:sub(line:find(",")+1,line:len())
			b=0
			platform_table[a]={}
			while true do --for some reason "while not line="" do" didn't work
				b=b+1
				platform_table[a][b]={}
				platform_table[a][b].x=line:sub(1,line:find(",")-1)
				line=line:sub(line:find(",")+1,line:len())
				platform_table[a][b].y=line:sub(1,line:find(",")-1)
				line=line:sub(line:find(",")+1,line:len())
				platform_table[a][b].len=line:sub(1,line:find(",")-1)
				line=line:sub(line:find(",")+1,line:len())
				platform_table[a][b].rot=line:sub(1,line:find(",")-1)
				line=line:sub(line:find(",")+1,line:len())
				if line=="" then break end
			end
		end
	end
	numobjects=a
	file:close()
	
	world=love.physics.newWorld(0,-600,800,600,0,500) --create world
	world:setCallbacks(collision_add,collision_persist,collision_remove,collision_result)
	
	--some tables
	wall={}
	platform={}
	spring={}
	
	--create physics objects
	for a=1,numobjects do
		if object[a]=="wall" then
			wall[a]={}
			wall[a].body=love.physics.newBody(world,xpos[a],ypos[a])
			wall[a].shape=love.physics.newRectangleShape(wall[a].body,0,0,30,30)
			wall[a].shape:setFriction(0)
		elseif object[a]=="ball" then
			ball={}
			ball.body=love.physics.newBody(world,xpos[a],ypos[a],1,1)
			ball.shape=love.physics.newCircleShape(ball.body,0,0,15)
			ball.shape:setData("ball")
		elseif object[a]=="platform" then
			platform[a]={}
			platform[a].body=love.physics.newBody(world,xpos[a],ypos[a],1)
			platform[a].anchor=love.physics.newBody(world,xpos[a],ypos[a])
			platform[a].joint=love.physics.newRevoluteJoint(platform[a].body,platform[a].anchor,xpos[a],ypos[a])
			platform[a].shape={}
			for b=1,#platform_table[a] do
				platform[a].shape[b]=love.physics.newRectangleShape(platform[a].body,platform_table[a][b].x,platform_table[a][b].y,platform_table[a][b].len,5,math.rad(platform_table[a][b].rot))
				platform[a].shape[b]:setData("platform"..a)
				platform[a].shape[b]:setFriction(0.2)
			end
		elseif object[a]=="spring" then
			spring[a]={}
			spring[a].body=love.physics.newBody(world,xpos[a],ypos[a])
			spring[a].shape=love.physics.newRectangleShape(spring[a].body,0,0,30,30)
			spring[a].shape:setRestitution(1)
			spring[a].shape:setFriction(0)
		end
	end
end
